#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libevent
Version		:	2.1.12
Release		:	17.0.10.rel%{?dist}
Summary		:	A library for writing fast portable nonblocking IO.

Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/libevent/libevent/releases

Source0		:	%{name}-%{version}-stable.tar.gz

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description
A program written using Libevent should work across all the platforms
Libevent supports. Even when there is no really good way to do nonblocking
IO, Libevent should support the so-so ways, so that your program can
run in restricted environments.

Libevent tries to use the fastest available nonblocking IO implementations
on each platform, and not to introduce much overhead as it does so.

doc: http://www.wangafu.net/~nickm/libevent-book/Ref0_meta.html

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/event_rpcgen.py
%{_includedir}/*.h
%{_includedir}/event2/*.h
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc

#=============================================================================
%prep
%setup -q -n %{name}-%{version}-stable

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -v -f -i
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
